!
!   caltest_misc.f90  --- f90 program to test the CAL
!
!   DESCRIPTION:
!       This program tests the correctness of the EPN-related CAL part by
!       performing a sequence of subroutine calls followed by
!       checks of the output. If any of these checks fails, the
!       program shall exit with a non-zero return value. If all tests
!       succeed 0 will be returned to the calling environment.
!
program caltest

use cal
use errorhandling

    integer :: n

    do n=XMM, OM
        if (instId(n) .ne. instId(instId(instId(n)))) then
           call fatal('caltest_misc', 'problem with instrument ids')
        endif
    enddo

    do n=PRIME_FULL_WINDOW, FLATFIELDING
        if (modeId(n) .ne. modeId(modeId(modeId(n)))) then
           call fatal('caltest_misc', 'problem with mode ids')
        endif
    enddo

    do n=OPEN, BARRED_U
        if (filterId(n) .ne. filterId(filterId(filterId(n)))) then
           call fatal('calctest_misc', 'problem with filter ids')
        endif
    enddo

    call message(AppMsg, Verbose,'All test passed')
end









